from rest_framework import serializers
from publieditor.content.models import Issue


class HyperlinkedFileField(serializers.FileField):
    def to_native(self, value):
        try:
            request = self.context.get('request', None)
            return request.build_absolute_uri(value.url)
        except Exception, ex:
            pass
        return super(HyperlinkedFileField, self).to_native(value)


class IssueSerializer(serializers.ModelSerializer):

    id = serializers.IntegerField(read_only=True)
    number = serializers.IntegerField(read_only=True)
    pub_date = serializers.DateTimeField(read_only=True, format="%Y-%m-%d")
    url = HyperlinkedFileField(source='attachment', read_only=True)

    class Meta:
        model = Issue
        fields = ('id', 'number', 'pub_date', 'url')
