from rest_framework import viewsets
from publieditor.content.models import Issue
from publieditor.content.api.serializers import IssueSerializer


class IssueViewSet(viewsets.ReadOnlyModelViewSet):
    """
    API endpoint that allows issues to be viewed.
    """
    queryset = Issue.objects.order_by('-pub_date')[0:20]
    serializer_class = IssueSerializer

    def get_queryset(self):
        stream = self.request.GET.get('stream', None)
        if stream:
            return Issue.objects.filter(stream__name__iexact=stream).order_by('-pub_date')[0:20]
        return super(IssueViewSet, self).get_queryset()