# -*- coding: utf-8 -*-

from django.views.generic import DetailView
from django.conf import settings
from publieditor.content import models


class PublieditorTRanslationDetailView(DetailView):
    context_object_name = 'translation_detail_by_slug'
    template_name = 'content/cms_apps/translation_detail.html'
    model = models.TranslationContent

    def get(self, request, *args, **kwargs):
        self.object = self.get_object()
        self.update_object_is_read(request)
        context = self.get_context_data(object=self.object)

        try:
            open_house = models.OpenHouse.objects.get(id=self.object.content.id)
        except Exception, e:
            open_house = None
        context.update({'open_house': open_house})

        try:
            road_test = models.RoadTest.objects.get(id=self.object.content.id)
        except Exception, e:
            road_test = None
        context.update({'road_test': road_test})

        context.update({'settings': settings})
        return self.render_to_response(context)

    def update_object_is_read(self, request):
        user = request.user._wrapped if hasattr(request.user, '_wrapped') else request.user
        if user.is_authenticated():
            user_content_settings = models.UserContentSettings.objects.filter(
                user=user,
                translation_content=self.object,
            )
            if user_content_settings:
                user_content_setting = user_content_settings[0]
            else:
                user_content_setting = models.UserContentSettings(
                    user=user,
                    translation_content=self.object,
                )
            user_content_setting.is_read = True
            user_content_setting.save()