# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

content_menu_item = items.MenuItem(
    # GENERAL
    _('ATLK'),
    reverse('admin:app_list', kwargs={'app_label': 'content'}),
    children=[
        items.MenuItem(
            _('AutolinkNews'),
            children=[
                items.MenuItem(_('Approfondimento'), reverse('admin:content_approfondimento_changelist',)),
                items.MenuItem(_('Breve'), reverse('admin:content_breve_changelist',)),
                items.MenuItem(_('Brochure'), reverse('admin:content_brochure_changelist',)),
                items.MenuItem(_('Catalog'), reverse('admin:content_catalog_changelist',)),
                items.MenuItem(_('CrashTest'), reverse('admin:content_crashtest_changelist',)),
                items.MenuItem(_('Gallery'), reverse('admin:content_gallery_changelist',)),
                items.MenuItem(_('News'), reverse('admin:content_news_changelist',)),
                items.MenuItem(_('Open house'), reverse('admin:content_openhouse_changelist',)),
                items.MenuItem(_('Photogallery'), reverse('admin:content_photogallery_changelist',)),
                items.MenuItem(_('Road Test'), reverse('admin:content_roadtest_changelist',)),
                items.MenuItem(_('Test Drive'), reverse('admin:content_testdrive_changelist',)),
                items.MenuItem(_('Video'), reverse('admin:content_video_changelist',)),
                items.MenuItem(_('Content List'), reverse('admin:content_content_changelist',)),
                items.MenuItem(_('Issue List'), reverse('admin:content_issue_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Listini'), '',
            children=[
                items.MenuItem(_('Corporate List'), reverse('admin:content_corporate_changelist',)),
                items.MenuItem(_('Brand List'), reverse('admin:content_brand_changelist',)),
                items.MenuItem(_('Model List'), reverse('admin:content_carmodel_changelist',)),
                items.MenuItem(_('Car List'), reverse('admin:content_car_changelist',)),
                items.MenuItem(_('Hit List'), reverse('admin:content_hit_changelist',)),
                items.MenuItem(_('Sale Period List'), reverse('admin:content_saleperiod_changelist',)),
                items.MenuItem(_('Model Sale List'), reverse('admin:content_carmodelsale_changelist',)),
                items.MenuItem(_('Model Equipment List'), reverse('admin:content_carmodelequipment_changelist',)),
                items.MenuItem(_('Car Equipment List'), reverse('admin:content_carequipment_changelist',)),
            ]
        ),
        items.MenuItem(
            _('UNRAE'), '',
            children=[
                items.MenuItem(_('Model List'), reverse('admin:content_unraecarmodel_changelist',)),
                items.MenuItem(_('Model Sale List'), reverse('admin:content_unraecarmodelsale_changelist',)),
                items.MenuItem(_('Model Import'), reverse('admin:content_unraecarmodel_import_data',)),
            ]
        ),
        items.MenuItem(
            _('Support'), '',
            children=[
                items.MenuItem(_('Stream List'), reverse('admin:content_stream_changelist',)),
                items.MenuItem(_('Layout List'), reverse('admin:content_layout_changelist',)),
                items.MenuItem(_('Sector List'), reverse('admin:content_sector_changelist',)),
                items.MenuItem(_('Kind List'), reverse('admin:content_kind_changelist',)),
            ]
        ),
    ]
)


register_menu(content_menu_item, 'publieditor.content')
