# coding: utf-8
"""
.. _retrieve-kpn-fax:

Bla Bla bla
=============================

Command per 
utilizzo::

  dj sample

:-d: variabile Booleana per cancellare il messaggi una volta recuperati
:-l: variabile Numero per limitare il numero di messaggi recuperare
:-v: variabile Booleana per visualizzare i print
:-b, --backup: backup messages in 


"""


import re
import os
import sys
import email
import tempfile
import datetime
from collections import OrderedDict

from django.core.mail.message import EmailMessage
from django.core.management.base import BaseCommand
from django.conf import settings
from django.core import mail

from optparse import make_option
from publieditor.content import models


#######    Come misurare il tempo di questa funzione in ipython  ###########

# from publieditor.content.management.commands import group_by_models
# from publieditor.content import models
# qs = models.Car.objects.filter(price__isnull=False).order_by('price')[0:50]
# timeit group_by_models.get_stat(qs)
# 1 loops, best of 3: 431 µs per loop


class Stat(OrderedDict):

    def add(self, car):
        ## la chiave e' l'id del modello
        ## ogni valore e' tupla di modello [car1, car2, car3, ...] 
        if car.model_id in self:
            self[car.model.id][1].append(car)
        else:
            self[car.model.id] = (car.model, [car])

    def show(self, key):
        # solo per mostrare i risultati
        model, cars = self[key]
        return [model.brand.name, model.name, [c.price for c in cars]]

    def get_min(self, key, attr_name='price'):
        # estrae il minimo dell'attribute_name nella lista di versioni (cars)
        model_id, cars = self[key]
        cars.sort(key=lambda x: getattr(x, attr_name))
        return getattr(cars[0], attr_name)

    def get_max(self, key, attr_name):
        model_id, cars = self[key]
        cars.sort(key=lambda x: getattr(x, attr_name), reverse=True)
        return getattr(cars[0], attr_name)


def get_stat(qs=None, limit=50, op='min', attr_name='price'):
    # Passando il qs
    qs = qs or models.Car.objects.filter(
        **{'%s__isnull' % attr_name: False}
    ).select_related('model', 'model__brand').order_by(attr_name)
    car_stat = Stat()
    for car in qs:
        car_stat.add(car)
        
    output = []
    operation = getattr(car_stat, 'get_%s' % op)

    for n, key in enumerate(car_stat):
        if n == limit:
            break
        #output += [car_stat.show(key) + [car_stat.get_min(key, 'price')]]
        output += [car_stat.show(key) + [operation(key, attr_name)]]
        
    return output


class Command(BaseCommand):
    """Get all messages from configured Host
    """
    help = "Wao!"

    option_list = BaseCommand.option_list + (
        make_option('-l', '--limit', dest='limit', help='Limit Output lines', type='int', default=50),
        make_option('-m', '--min', dest='min', help='Show min', action='store_true', default=False,),
        make_option('-M', '--max', dest='max', help='Show max', action='store_true', default=False,),
    )

    output_transaction = True

    def handle(self, *args, **options):

        limit = options.get('limit')
        min = options.get('min')
        max = options.get('max')
        qs = models.Car.objects.filter(price__isnull=False).order_by('price')[0:limit*3]
        output = get_stat(qs=qs, limit=limit, op='min' if min else 'max')

        for line in output:
            print line
