# coding: utf-8
"""
.. _set_model_sale_list:

Aggiornamento carmodels di UNRAE car model
=============================

Command per utilizzo::

  dj set_model_sale_list

  -d Delete parameter, if setted all UNREAECarModel carmodels objects (many to may) are deleted

"""

from optparse import make_option
from django.core.management.base import BaseCommand
from publieditor.content.models import CarModelSale
from publieditor.content.utils import set_model_sale_list


class Command(BaseCommand):
    help = 'Update carmodels of UNRAEcarmodel'
    option_list = BaseCommand.option_list + (
        make_option('-d', '--delete', dest='delete', help='Delete', action='store_true', default=False),
    )

    def handle(self, *scripts, **opts):
        delete = opts.get('delete')
        if delete:
            CarModelSale.objects.all().delete()
        set_model_sale_list()