# coding: utf-8
"""
.. _set_unraecarmodel_carmodels:

Aggiornamento carmodels di UNRAE car model
=============================

Command per utilizzo::

  dj set_unraecarmodel_carmodels

  -d Delete parameter, if setted all UNREAECarModel carmodels objects (many to may) are deleted

"""

from django.core.management.base import BaseCommand
from optparse import make_option

from publieditor.content.utils import set_unraecarmodel_carmodels
from publieditor.content.models import UNRAECarModel


class Command(BaseCommand):
    help = 'Update carmodels of UNRAEcarmodel'
    option_list = BaseCommand.option_list + (
        make_option('-d', '--delete', dest='delete', help='Delete', action='store_true', default=False),
    )

    def handle(self, *scripts, **opts):
        # Delete all associatons if asked by delete parameter
        delete = opts.get('delete')
        if delete:
            UNRAECarModel.carmodels.through.objects.all().delete()
        set_unraecarmodel_carmodels()
