# coding: utf-8

from django.core.files.base import ContentFile
import requests
from urlparse import urlparse
from django.conf import settings
from django.core.management.base import BaseCommand
from unidecode import unidecode

from publieditor.content.models import Brand


class Command(BaseCommand):
    """
    This command is used to sync all brand logos (small and big) retrieving them from rcs cdn
    """
    output_transaction = True

    def handle(self, *args, **options):
        map = {"logo_small": "_small-trans", 'logo_big': "_trans_med"}
        for i, brand in enumerate(Brand.objects.all()):
            print u"{0}".format(i+1)
            for field_name, path_key in map.iteritems():
                url = "{0}/brands/{1}/{2}.png".format(settings.PUBLIEDITOR_RCS_CDN_URL, path_key, brand.name)
                image_content = ContentFile(requests.get(url).content)
                file_name = u"{0}.{1}".format(
                    unidecode(u"{0}".format(brand.name.replace(" ", ""))),
                    urlparse(url).path.split('/')[-1].split(".")[-1],
                )
                getattr(brand, field_name).save(file_name, image_content, save=True)
                getattr(brand, field_name).close()