# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _

#:
PUBLIEDITOR_CONTENT_STATO_CHOICES = (
    ('ne', _('new'),),
    ('on', _('online'),),
    ('dr', _('draft'),),
    ('su', _('suspended'),),
    ('de', _('deleted'),),
    ('mg', _('migration'),),
)

PUBLIEDITOR_CONTENT_SOURCE_CHOICES = (
    ('autolink', _('autolink'),),
    ('press_release', _('press release'),),
    ('press_clip', _('press clip'),),
    ('press_clip_intl', _('press clip international'),),
)

#: settings corporate brand links kind choices
PUBLIEDITOR_CORPORATEBRANDLINKS_CHOICES = (
    ('own', _('Owner'),),
    ('hld', _('Holding'),),
)

#: settings brand & corporate status choices
PUBLIEDITOR_BRAND_STATO_CHOICES = PUBLIEDITOR_CORPORATE_STATO_CHOICES = (
    ('active', _('Active')),
    ('closed', _('Closed')),
    ('acquired', _('Acquired')),
    ('renamed', _('Renamed')),
)

#: settings carmodel status choices
PUBLIEDITOR_CARMODEL_STATUS_CHOICES = (
    ('new', _('New')),
    ('concept', _('Concept')),
    ('teaser', _('Teaser')),
    ('preview', _('Preview')),
    ('online', _('Online')),
    ('runout', _('Runout')),
    ('overlapped', _('Overlapped')),
    ('retired', _('Retired')),
    ('vintage', _('Vintage')),
    ('deleted', _('Deleted')),
)

#: settings car status choices
PUBLIEDITOR_CAR_STATUS_CHOICES = (
    ('ok', _('ok'),),
    ('deleted', _('deleted'),),
    ('off', _('off'),),
    ('working', _('working'),),
)

#: settings issue status choices
PUBLIEDITOR_ISSUE_STATUS_CHOICES = (
    (1, 'Published'),
    (2, 'Draft'),
    (3, 'Deleted'),
    (4, 'News'),
)

#: settings stream status choices
PUBLIEDITOR_STREAM_STATUS_CHOICES = (
    ('online', _('online'),),
    ('offline', _('offline'),),
    ('test', _('test'),),
)

#: settings corporate kind choices
PUBLIEDITOR_CORPORATE_KIND_CHOICES = (
    ('producer', _('Producer')),
    ('agency', _('Agency')),
    ('sport', _('Sport')),
    ('tuner', _('Tuner')),
    ('tyres', _('Tyres')),
    ('parts', _('Parts')),
    ('lubricants', _('Lubricants')),
    ('designer', _('Designer')),
    ('holding', _('Holding')),
)

#: settings brand kind choices
PUBLIEDITOR_BRAND_KIND_CHOICES = (
    ('product', _('Product')),
    ('part', _('Part')),
    ('tyre', _('Tyre')),
    ('equipment', _('Equipment')),
    ('lubricants', _('Lubricants')),
)

#: settings brand popolarity choices
PUBLIEDITOR_BRAND_POPOLARITY_CHOICES = (
    ('popular', _('Popular')),
    ('common', _('Common')),
    ('rare', _('Rare')),
)

#: settings carmodel new_entry choices
PUBLIEDITOR_CARMODEL_NEW_ENTRY_CHOICES = (
    ('side', _('Side')),
    ('home', _('Home')),
)

#: settings car shape choices
# Whenever updated, the following dict must be updated too
PUBLIEDITOR_CAR_SHAPE_CHOICES = (
    ('Berlina', _('Berlina'),),
    ('Compatta', _('Compatta'),),
    (u'Coup\xe9', _("Coupe'"),),
    ('Fuoristrada', _('Fuoristrada'),),
    ('Monovolume', _('Monovolume'),),
    (u'Pick-up', _('Pick-up'),),
    ('Scoperta', _('Scoperta'),),
    ('Station Wagon', _('Station Wagon'),),
    ('SUV', _('SUV'),),
    ('Piccola', _('Piccola'),),
)

#Dict used by the method get_target_choices of the Car model
#Must be updated whenever the PUBLIEDITOR_CAR_SHAPE_CHOICES gets updated
PUBLIEDITOR_CAR_SHAPE_CHOICES_THUMB_DICT = {
    'Piccola': 'small',
    'Compatta': 'comp',
    'Berlina': 'berlina',
    'Station Wagon': 'sw',
    'Monovolume': 'mono',
    'SUV': 'suv',
    'Coupé': 'cou',
    "Coupe'": 'cou',
    'Pick-up': 'pick',
    'Scoperta': 'cab',
    'Fuoristrada': '4x4',
}

#: settings car target choices
# Whenever updated, the following dict must be updated too
PUBLIEDITOR_CAR_TARGET_CHOICES = (
    ('City', _('City'),),
    ('Family', _('Family'),),
    ('Executive', _('Executive'),),
    ('Sport', _('Sport'),),
    ('Top', _('Top'),),
    ('Offroad', _('Offroad'),),
    ('Work', _('Work'),),
)

#Dict used by the method get_target_choices of the Car model
#Must be updated whenever the PUBLIEDITOR_CAR_TARGET_CHOICES gets updated
PUBLIEDITOR_CAR_TARGET_CHOICES_THUMB_DICT = {
    'City': 'city',
    'Family': 'fam',
    'Executive': 'exec',
    'Sport': 'sport',
    'Top': 'top',
    'Offroad': '4x4',
    'Work': 'work',
}

#: settings car seat choices
PUBLIEDITOR_CAR_SEAT_CHOICES = (
    ('2', '2 posti'),
    ('2+2', '2+2 posti'),
    ('4', '4 posti'),
    ('4-5', '4-5 posti'),
    ('5', '5 posti'),
    ('5-7', '5-7 posti'),
    ('6', '6 posti',),
    ('7', '7 posti'),
    ('8', '8 posti')
)

#: settings car engine choices
PUBLIEDITOR_CAR_ENGINE_CHOICES = (
    ('T', _('motore standard'),),
    ('TE', _('ibrido'),),
    ('BEV', _('elettrico'),),
    ('F', _('fuel-cell'),),
    ('MHEV', _('mild hybrid'),),
    ('HEV', _('full hybrid'),),
    ('PHEV', _('plug-in hybrid'),),
    ('EXT', _('elettrica extended range'),),
    ('E', _('elettrico'),),
    ('ET', _('elettrico'),),
)

PUBLIEDITOR_STANDARD_ENGINE_LIST = ['T',]

PUBLIEDITOR_ELECTRIC_ENGINE_LIST = ['BEV', 'F', 'E', 'ET']

PUBLIEDITOR_HYBRID_ENGINE_LIST = ['TE', 'MHEV', 'HEV', 'PHEV']

#: settings car layout choices
PUBLIEDITOR_CAR_LAYOUT_CHOICES = (
    ('B4', _('4 cilindri boxer')),
    ('B6', _('6 cilindri boxer')),
    ('L2', _('2 cilindri in linea')),
    ('L3', _('3 cilindri in linea')),
    ('L4', _('4 cilindri in linea')),
    ('L5', _('5 cilindri in linea')),
    ('L6', _('6 cilindri in linea')),
    ('V6', _('6 cilindri a V')),
    ('V8', _('8 cilindri a V')),
    ('V10', _('10 cilindri a V')),
    ('V12', _('12 cilindri a V')),
    ('W12', _('12 cilindri a W')),
)

#: settings car fuel choices
PUBLIEDITOR_CAR_FUEL_CHOICES = (
    ('B', _('benzina')),
    ('D', _('gasolio')),
    ('B/GPL', _('GPL')),
    ('B/M', _('metano')),
    ('B/E85', _('etanolo E85')),
    ('E', _('elettrica')),
    ('E/P', _('ibrida plug in')),
    ('B/E', _('ibrida benzina')),
    ('D/E', _('ibrida diesel')),
    ('E/B', _('elettrica extended range')),
    #('D', _('diesel')),
    ('B/G', _('benzina + GPL')),
    #('B/M', _('benzina + metano')),
    #('E', _('100% elettrica')),
    #('B/E', _('elettrica + benzina')),
    #('D/E', _('elettrica + diesel')),
    ('H', _('idrogeno')),
)
'''
#: settings car traction choices
PUBLIEDITOR_CAR_TRACTION_CHOICES = (
    ('A', _('trazione anteriore'),),
    ('P', _('trazione posteriore'),),
    ('A+I', _('trazione anteriore, integrale inseribile'),),
    ('P+I', _('posteriore, integrale inseribile'),),
    ('I', _('trazione integrale permanente'),),
)
'''
#: settings car traction choices
PUBLIEDITOR_CAR_TRACTION_CHOICES = (
    ('A', _('anteriore'),),
    ('P', _('posteriore'),),
    ('A+I', _('anteriore, integrale inseribile'),),
    ('P+I', _('posteriore, integrale inseribile'),),
    ('I', _('integrale permanente'),),
)

#: settings car gear choices
PUBLIEDITOR_CAR_GEAR_CHOICES = (
    ('A|1', 'monomarcia'),
    ('A|2', 'automatico a 2 marce'),
    ('A|3', 'automatico a 3 marce'),
    ('A|4', 'automatico a 4 marce'),
    ('A|4+4', 'automatico a 4 marce + ridotte'),
    ('A|5', 'automatico a 5 marce'),
    ('A|5+5', '	automatico a 5 marce + ridotte'),
    ('A|6', 'automatico sequenziale a 6 marce'),
    ('A|6+6', 'automatico a 6 marce + ridotte'),
    ('A|7', 'automatico a 7 marce'),
    ('A|7+7', 'automatico a 7 marce + ridotte'),
    ('A|8', 'automatico a 8 marce'),
    ('AS|5', 'automatico sequenziale a 5 marce'),
    ('AS|6', 'automatico sequenziale a 6 marce'),
    ('AS|7', 'automatico sequenziale a 7 marce'),
    ('AS|8', 'automatico sequenziale a 8 marce'),
    ('AS|9', 'automatico sequenziale a 9 marce'),
    ('AS|10', 'automatico sequenziale a 10 marce'),
    ('CVT', 'CVT cambio a variazione continua'),
    ('M|5', 'manuale a 5 marce'),
    ('M|5+5', 'manuale a 5 marce + ridotte'),
    ('M|6', 'manuale a 6 marce'),
    ('M|6+6', 'manuale a 6 marce + ridotte'),
    ('M|7', 'manuale a 7 marce'),
    ('eCVT', 'eCVT cambio elettronico a variazione continua'),
)

#: settings car agear choices
PUBLIEDITOR_CAR_AGEAR_CHOICES = (
    ('A', _('Cambio Automatico'),),
    ('M', _('Cambio Manuale'),),
)

#: settings car pollution choices
PUBLIEDITOR_CAR_POLLUTION_CHOICES = (
    ('E6', _('Euro 6'),),
    ('E6d-temp', _('Euro 6d-TEMP'),),
    ('E6d', _('Euro 6d'),),
    ('E7', _('Euro 7'),),
    ('E8', _('Euro 8'),),
)

#: settings car engine_loc choices
# Whenever updated, the following tuple must be updated too
PUBLIEDITOR_CAR_ENGINE_LOC_CHOICES = (
    ('A', _('motore anteriore'),),
    ('C', _('motore centrale'),),
    ('P', _('motore posteriore'),),
    ('A+P', _('motore anteriore + posteriore'),),
)

PUBLIEDITOR_CAR_ENGINE_LOC_CHOICES_LABELS = (
    ('A', _('anteriore'),),
    ('C', _('centrale'),),
    ('P', _('posteriore'),),
    ('A+P', _('anteriore + posteriore'),),
)

#: settings car doors choices
PUBLIEDITOR_CAR_DOORS_CHOICES = (
    ('2', _('2 Porte'),),
    ('3', _('3 Porte'),),
    ('4', _('4 Porte'),),
    ('5', _('5 Porte'),),
)

#: settings car field_src choices
PUBLIEDITOR_CAR_FIELD_SRC_CHOICES = (
    ('l', 'l',),
    ('q', 'q',),
)

#: settings car field_shape_old choices
PUBLIEDITOR_CAR_FIELD_SHAPE_OLD_CHOICES = (
    ('berline grandi', _('Berline Grandi'),),
    ('berline medie', _('Berline Medie'),),
    ('cabrio e spider', _('Cabrio e Spider'),),
    ('cittadine', _('Cittadine'),),
    ('compatte', _('Compatte'),),
    ("coupe'", _("Coupe'"),),
    ('fuoristrada', _('Fuoristrada'),),
    ('monovolume compatte', _('Monovolume Compatte'),),
    ('monovolume grandi', _('Monovolume Grandi'),),
    ('piccole', _('Piccole'),),
    ('pick-up', _('Pick-Up'),),
    ('station wagon compatte', _('Station Wagon Compatte'),),
    ('station wagon grandi', _('Station Wagon Grandi'),),
    ('supersportive', _('Supersportive'),),
    ('suv compatti', _('SUV Compatti'),),
    ('suv grandi', _('SUV Grandi'),),
)

#: settings hit status choices
PUBLIEDITOR_HIT_STATUS_CHOICES = (
    (1, _('online'),),
    (0, _('offline'),),
)

#: settings operator
PUBLIEDITOR_HIT_OPERATOR_CHOICES = (
    ('min', _('Minimum'),),
    ('max', _('Maximum'),),
    ('avg', _('Average'),),
    ('count', _('Count'),),
)

#: settings hit unit choices
PUBLIEDITOR_HIT_UNIT_CHOICES = (
)

#: settings hit ordering field choices
PUBLIEDITOR_HIT_ORDERING_FIELD_CHOICES = (
    ('a', _('asc'),),
    ('d', _('desc'),),
)

PUBLIEDITOR_CONTENT_CMSPLUGIN_SHOW_IF_AUTHENTICATED = (
    ('all', _("Tutti")),
    ('authenticated', _("Authenticated")),
    ('not_authenticated', _("Not authenticated")),
)

PUBLIEDITOR_CONTENT_CMSPLUGIN_OBJECTS_DATE_RANGE = (
    ('all', _("All")),
    ('day', _("Day")),
    ('week', _("Week")),
    ('month', _("Month")),
    ('year', _("Year")),
)

PUBLIEDITOR_CONTENT_OPENHOUSE_MIN_POINT = 0
PUBLIEDITOR_CONTENT_OPENHOUSE_MAX_POINT = 5

PUBLIEDITOR_CONTENT_ROADTEST_MIN_POINT = 0
PUBLIEDITOR_CONTENT_ROADTEST_MAX_POINT = 10

PUBLIEDITOR_CONTENT_CMSPLUGIN_LIST_TEMPLATES = (
    ('content/cms_plugins/content_list_no_image.html', _('Content List - No image'),),
    ('content/cms_plugins/content_list_left_image.html', _('Content List - Left image'),),
    ('content/cms_plugins/content_list_right_image.html', _('Content List - Right image'),),

    ('content/cms_plugins/content_detail_and_list_right_image.html', _('Content Detail and List - Right image'),),
    ('content/cms_plugins/content_detail_no_image.html', _('Content Detail - No image'),),
    ('content/cms_plugins/content_detail_left_image.html', _('Content Detail - Left image'),),
    ('content/cms_plugins/content_detail_right_image.html', _('Content Detail - Right image'),),

    ('content/cms_plugins/content_aside_no_image.html', _('Content Aside - No image'),),
    ('content/cms_plugins/content_aside_left_image.html', _('Content Aside - Left image'),),
    ('content/cms_plugins/content_aside_right_image.html', _('Content Aside - Right image'),),

)

PUBLIEDITOR_CONTENT_CMSPLUGIN_DETAIL_TEMPLATES = (
    ('content/cms_plugins/content_detail_aside_no_image.html', _('Content Aside - No image'),),
    ('content/cms_plugins/content_detail_aside_left_image.html', _('Content Aside - Left image'),),
    ('content/cms_plugins/content_detail_aside_right_image.html', _('Content Aside - Right image'),),
)

PUBLIEDITOR_CONTENT_FORM_CLASSES = (
    ('publieditor.content.cms.forms.SearchContentForm', _('Search Content Form'),),
    ('publieditor.content.cms.forms.AdvancedSearchContentForm', _('Advanced Search Content Form'),),
)
PUBLIEDITOR_CONTENT_CMSPLUGIN_SEARCH_TEMPLATES = (
    ('content/cms_plugins/simple_search.html', _('Simple Search Content'),),
    ('content/cms_plugins/advanced_search.html', _('Advanced Search Content'),),
)

PUBLIEDITOR_CONTENT_CMSPLUGIN_TODAY_TEMPLATES = (
    ('content/cms_plugins/today.html', _('Today'),),
)

PUBLIEDITOR_CONTENT_CMSPLUGIN_CONTENT_FILTER = (
    ("all", _("All")),
    ("favorite", _("Favorite")),
    ("removed", _("Removed")),
    ("no_favorite", _("All except favorites")),
    ("no_removed", _("All except removed")),
    ("no_favorite_removed", _("All except favorites and removed")),
)

# http://www.publieditor.it/autolinknews/gallery/300/photo_thumb/236463F01.jpg
# http://www.publieditor.it/autolinknews/gallery/300/photo_thumb/333690F01.jpg
# PUBLIEDITOR_CONTENT_MEDIA_URL = "http://www.publieditor.it/autolinknews/"  # "http://atlk.publieditor.it/"

PUBLIEDITOR_WIDTH_IMAGE = {
    'mini': '45px',
    'little': '100px',
    'media': '180px',
    'normal': '230px',
}

PUBLIEDITOR_HEIGHT_IMAGE = {
    'mini': '35px',
    'little': '78px',
    'media': '140px',
    'normal': '180px',
}
# TODO: VECCHIO SISTEMA

#: settings for status choices in VHits
BRIDGE_VHITS_STATUS_CHOICES = (
    ('online', _('online'),),
    ('offline', _('offline'),),
)

#: settings for side choices in VHits
BRIDGE_VHITS_SIDE_CHOICES = (
    ('y', _('Yes'),),
    ('n', _('No'),),
)

#: settings for klass choices in CarsLocales
BRIDGE_CARS_LOCALES_KLASS_CHOICES = (
    ('Brand', _('City')),
    ('Model', _('Family')),
    ('Car', _('Executive')),
)

#: settings for mode choices in CarsLocales
BRIDGE_CARS_LOCALES_MODE_CHOICES = (
    ('On', _('On')),
    ('Off', _('Off')),
)

#: settings for stream choices in CarsLocales
BRIDGE_CARS_LOCALES_STREAM_CHOICES = (
    ('Rcs', _('Rcs')),
    ('Autolink', _('Autolink')),
)

#: settings for country choices in CarsLocales
BRIDGE_CARS_LOCALES_COUNTRY_CHOICES = (
    ('it', _('it')),
    ('th', _('th')),
)

#: settings for status choices in CarsLocales
BRIDGE_CARS_LOCALES_STATUS_CHOICES = (
    ('Ok', _('Ok')),
    ('Working', _('Working')),
)

#: settings for channel choices in Header
BRIDGE_HEADER_CHANNEL_CHOICES = (
    ('Publieditor', _('Publieditor')),
    ('Atlk', _('Atlk')),
)

#: settings for channel choices in Hits
BRIDGE_HITS_STATUS_CHOICES = (
    ('Online', _('Online')),
    ('Offline', _('Offline')),
)

#: settings for side choices in Hits
BRIDGE_HITS_SIDE_CHOICES = (
    ('Y', _('Y')),
    ('N', _('N')),
)

#: settings for klass choices in NewsTags
BRIDGE_NEWS_TAGS_KLASS_CHOICES = (
    ('Product', _('Product')),
    ('Corp', _('Corp')),
)

#: settings for shape choices in QCARS
BRIDGE_QCARS_SHAPE_CHOICES = (
    ('Piccola', _('Piccola')),
    ('Compatta', _('Compatta')),
    ('Berlina', _('Berlina')),
    ('Station Wagon', _('Station Wagon')),
    ('Monovolume', _('Monovolume')),
    ('SUV', _('SUV')),
    ("Coupe'", _("Coupe'")),
    ('Scoperta', _('Scoperta')),
    ('Fuoristrada', _('Fuoristrada')),
    ('Pick-Up', _('Pick-Up')),
)

#: settings for target choices in QCARS
BRIDGE_QCARS_TARGET_CHOICES = (
    ('City', _('City')),
    ('Family', _('Family')),
    ('Executive', _('Executive')),
    ('Sport', _('Sport')),
    ('Top', _('Top')),
    ('Offroad', _('Offroad')),
    ('Work', _('Work')),
)

#: settings for traction choices in QCARS
BRIDGE_QCARS_TRACTION_CHOICES = (
    ('A', _('A')),
    ('A+I', _('A+I')),
    ('I', _('I')),
    ('P', _('P')),
    ('P+I', _('P+I')),
)

#: settings for pollution choices in QCARS
BRIDGE_QCARS_POLLUTION_CHOICES = (
    ('E0', _('E0')),
    ('E4', _('E4')),
    ('E5', _('E5')),
    ('E6', _('E6')),
)

#: settings for _shape_old choices in QCARS
BRIDGE_QCARS_SHAPE_OLD_CHOICES = (
    ('Berline Grandi', _('Berline Grandi')),
    ('Berline Medie', _('Berline Medie')),
    ('Cabrio e Spider', _('Cabrio e Spider')),
    ('Cittadine', _('Cittadine')),
    ('Compatte', _('Compatte')),
    ("Coupe'", _("Coupe'")),
    ('Fuoristrada', _('Fuoristrada')),
    ('Monovolume Compatte', _('Monovolume Compatte')),
    ('Monovolume Grandi', _('Monovolume Grandi')),
    ('Piccole', _('Piccole')),
    ('Pick-Up', _('Pick-Up')),
    ('Station Wagon Compatte', _('Station Wagon Compatte')),
    ('Station Wagon Grandi', _('Station Wagon Grandi')),
    ('Supersportive', _('Supersportive')),
    ('SUV Compatti', _('SUV Compatti')),
    ('SUV Grandi', _('SUV Grandi')),
)

#: settings for output choices in UNIVERSE
BRIDGE_UNIVERSE_OUTPUT_CHOICES = (
    ('Web', _('Web')),
    ('Embed', _('Embed')),
    ('Webapp', _('Webapp')),
    ('ios-web', _('ios-web')),
    ('ios-plist', _('ios-plist')),
    ('rss', _('rss')),
    ('rss-pro', _('rss-pro')),
    ('json', _('json')),
    ('xml', _('xml')),
    ('pdf', _('pdf')),
    ('rss-flipboard', _('rss-flipboard')),
    ('export', _('export')),
)

#: settings for check choices in UNIVERSE
BRIDGE_UNIVERSE_CHECK_CHOICES = (
    ('Y', _('Y')),
    ('N', _('N')),
)

#: settings for status choices in UNIVERSE
BRIDGE_UNIVERSE_LANGUAGE_CHOICES = (
    ('it', _('it')),
    ('en', _('en')),
)

#: settings for kind choices in w_rcs_brands
BRIDGE_W_RCS_BRANDS_KIND_CHOICES = (
    ('Product', _('Product')),
    ('Part', _('Part')),
    ('Tyre', _('Tyre')),
    ('Equipment', _('Equipment')),
    ('Lubricants', _('Lubricants')),
)

#: settings for status choices in w_rcs_brands
BRIDGE_W_RCS_BRANDS_STATUS_CHOICES = (
    ('Ok', _('Ok')),
    ('Working', _('Working')),
)


#: settings for status choices in x_corps_links
BRIDGE_X_CORPS_LINKS_KIND_CHOICES = (
    ('Owner', _('Owner')),
    ('Holding', _('Holding')),
)

#: settings for lan choices in x_dict
BRIDGE_X_DICT_LAN_CHOICES = (
    ('it', _('it')),
    ('en', _('en')),
    ('th', _('th')),
)

#: settings for src choices in x_eprs
BRIDGE_X_EPRS_SRC_CHOICES = (
    ('Brand', _('Brand')),
    ('Model', _('Model')),
    ('Version', _('Version')),
    ('Range', _('Range')),
    ('List', _('List')),
    ('Custom', _('Custom')),
    ('Scalar', _('Scalar')),
)

#: settings for lan choices in x_dict
BRIDGE_X_LISTS_STATUS_CHOICES = (
    ('On', _('On')),
    ('Off', _('Off')),
)

#: settings for lan choices in x_dict
BRIDGE_X_LISTS_KIND_CHOICES = (
    ('Engine', _('Engine')),
    ('Fuel', _('Fuel')),
    ('Fuelx', _('Fuelx')),
    ('Gear', _('Gear')),
    ('Agear', _('Agear')),
    ('Engine_loc', _('Engine_loc')),
    ('Loc', _('Loc')),
    ('Pollution', _('Pollution')),
    ('Seat', _('Seat')),
    ('Shape', _('Shape')),
    ('Shape_A', _('Shape_A')),
    ('Traction', _('Traction')),
    ('Target', _('Target')),
    ('Layout', _('Layout')),
    ('Turbo', _('Turbo')),
    ('Sort', _('Sort')),
    ('Rsort', _('Rsort')),
    ('Driving', _('Driving')),
    ('Clean', _('Clean')),
    ('Field', _('Field')),
    ('Feature', _('Feature')),
)

#: settings for kind choices in x_ranges
BRIDGE_X_RANGES_KIND_CHOICES = (
    ('Price', _('Price')),
    ('Luggage', _('Luggage')),
    ('Length', _('Length')),
    ('Width', _('Width')),
    ('Heigth', _('Heigth')),
    ('Power_cv', _('Power_cv')),
    ('Displ', _('Displ')),
    ('Speed', _('Speed')),
    ('Year', _('Year')),
    ('Doors', _('Doors')),
)

#: settings for level choices in y_brands
BRIDGE_Y_BRANDS_LEVEL_CHOICES = (
    ('Popular', _('Popular')),
    ('Common', _('Common')),
    ('Rare', _('Rare')),
)
#: settings for kind choices in v_rqanges
BRIDGE_V_RANGES_KIND_CHOICES = (
    ('Price', _('Price')),
    ('Luggage', _('Luggage')),
    ('Length', _('Length')),
    ('Width', _('Width')),
    ('Heigth', _('Heigth')),
    ('Power_cv', _('Power_cv')),
    ('Displ', _('Displ')),
    ('Speed', _('Speed')),
    ('Year', _('Year')),
    ('Doors', _('Doors')),
)

#: settings for dam application
CONTENT_DAM_API_KEY = "235d26ee43f052e4c7656980f988f257b83807ce"
CONTENT_DAM_BASE_URL = "http://dam.thux.it/api/"
CONTENT_DAM_USER = "admin"
CONTENT_DAM_PWD = "notredam"

# to generate key:
# from api.models import *
# app = Application.objects.create(name='publieditor')
# print app.api_key

PUBLIEDITOR_CAR_BASE_DESCRIPTION = '''
    {{ car.brand.name }} {{ car.model.name }} {{ car.version }} è una {{ car.shape }} {% if car.doors %}{{ car.doors }} porte {% endif %} {% if car.seat %}{{ car.seat }} posti{% endif %} 
    della {{ car.brand.name }} {% if car.length %}lunga {{ car.length }} cm,{% endif %}{% if car.width %} larga {{ car.width }} cm, {% endif %}
    {% if car.height %}alta {{ car.height }} cm {% endif %}{% if car.luggage %}con un bagagliaio da {{ car.luggage }}{% endif %}
    {% if car.luggage_max %}a {{ car.luggage_max }} litri{% endif %}. Nella versione {{ car.version }} {% if car.price %}costa {{ car.price }} € {% endif %}
    con motore {% if car.fuel %}a {{ car.get_fuel_display }} {% endif %}{% if car.displ %}di {{ car.displ }} cc {% endif %}{% if car.pollution %}({{ car.get_pollution_display }})
    {% endif %}capace di erogare una potenza massima di {% if car.power_kw %}{{ car.power_kw }} kW{% endif %}{% if car.power_cv %}/{{ car.power_cv }} CV {% endif %}
    {% if car.torque_max %}ed una coppia massima di {{ car.torque_max }} Nm {% endif %}{% if car.torque_rpm %}a {{ car.torque_rpm }} giri/min{% endif %}.
    {% if car.traction %}La trazione è {{ car.get_traction_display }}. {% endif %}{% if car.id_gear %}Il cambio è {{ car.id_gear }}. {% endif %}
    {% if car.id_kml_mix %} La percorrenza media con un litro di carburante è pari a {{ car.id_kml_mix }} km. {% endif %}
    {% if car.tank %}Il serbatoio ha una capienza di {{ car.tank|floatformat:"0" }} litri. {% endif %}
    {% if car.co2 %}Le emissioni di CO2 sono di {{ car.co2 }} g/km. {% endif %}{% if car.acc %}L'accelerazione da 0 a 100 km/h avviene in {{ car.acc }} secondi. {% endif %}
    {% if car.speed %}La velocità massima raggiungibile è di {{ car.speed }} km/h. {% endif %}
    {% if car.weight %}La massa a vuoto in ordine di marcia con conducente e bagaglio (norme UE) è di {{ car.weight }} kg. {% endif %}
'''

PUBLIEDITOR_BRAND_DESCRIPTION = '''
    {{ brand.name }} è un marchio {% if not brand.last_corporate %}indipendente{% else %}del Gruppo {{ brand.last_corporate }}{% endif %}.
    Visualizza e confronta tutti i prezzi e le caratteristiche tecniche: prezzi, motori, consumi, prestazioni, carrozzeria, design, allestimenti, dati di vendita, neopatentati di oltre 6.000 macchine.
    {{ brand.name }} commercializza attualmente in Italia {{ brand.model_count }} modell{{ brand.model_count|pluralize:"o,i" }}, per un totale di {{ brand.car_count }} version{{ brand.car_count|pluralize:"e,i" }}, con prezzi da {{ brand.min_price }} a {{ brand.max_price }} €.
'''

PUBLIEDITOR_PREZZIAUTO_BASEURL = "prezzi-auto"

PUBLIEDITOR_CONTENT_BASEURL = "http://motori.corriere.it"  # TODO: trovare modo migliore per renderlo dinamico
PUBLIEDITOR_CONTENT_BREADCRUMBS = [
    {'title': 'Publieditor', 'url': 'https://www.publieditor.net/'},
    {'title': _('Motori'), 'url': 'https://www.publieditor.net/'},
    {'title': _('Listino Prezzi Auto'), 'url': '/prezzi-auto'},
]
PUBLIEDITOR_HIT_CLASS = (
    ('version', _('Version')),
    ('sales', _('Sale')),
)
PUBLIEDITOR_CONTENT_PHOTO_FORMATS = dict(
    small='w55h35',
    medium='w98h60',
    large='w300',
    original='w640',
)
#: slug aggiuntivo richiesto da corriere (auto/) ma non dal sole
PUBLIEDITOR_CONTENT_AUTO = ''

#: Color for highchart hit serie
PUBLIEDITOR_CONTENT_HIT_SERIE_COLOR = "#00aeff"

#: used to replace "_" with "-" in urls
PUBLIEDITOR_REPLACE_UNDERSCORE = True

PUBLIEDITOR_CONTENT_NEWS_URL = "https://www.publieditor.net"
PUBLIEDITOR_ATLK_CONTENT_NEWS_URL = "https://www.autolinknews.com"
PUBLIEDITOR_CONTENT_PHOTO_URL = "https://publieditor.s3.amazonaws.com/media/"
PUBLIEDITOR_CONTENT_VIDEO_URL = "https://player.vimeo.com/external/"
PUBLIEDITOR_CONTENT_TABLE_URL = "https://publieditor.s3.amazonaws.com/media/"
PUBLIEDITOR_CONTENT_MEDIA_URL = "https://publieditor.s3.amazonaws.com/media/"

PUBLIEDITOR_CONTENT_ISSUE_ATTACHMENT = 'uploads/issue'
PUBLIEDITOR_CONTENT_CLONABLE_CONTENT_MODELS = ("Approfondimento", "Breve", )


PUBLIEDITOR_CONTENT_MEDIA_PROTOCOL = "https"
PUBLIEDITOR_CONTENT_MEDIA_DOMAIN = "www.autolinknews.com"


PUBLIEDITOR_RCS_CDN_URL = "https://rcs.cdn.publieditor.it"