/* funzione drag&drop tra le liste di immagini */
jQuery(function($){
    $('ul.sortable').multisortable();
    $('ul#searchResult').sortable('option', 'connectWith', 'ul#apiResult');
    $('ul#apiResult').sortable('option', 'connectWith', 'ul#searchResult');
});

/* funzione tooltips nella pagina */
$(function() {
    $(document).tooltip({
        content: function() {
            return $(this).attr('title');
        }
    });
});

/* funzione estrazione stringa con photo_id delle foto del form per POST */
function getPhotoIds(){
    var photos = $("form .check-photo");
    var str_photo_ids = "";
    photos.each(function (index){
         //var photo_id = $(this).attr('name').split("__")[1].split("_")[1];
         var photo_id = $(this).attr('name').split("__")[1].split("_")[1];
         str_photo_ids += photo_id + ",";
    });
    return str_photo_ids;
};

/* funzione estrazione stringa ordinamento Media */
function getOrderedPhotoIds(){
    var photos = $("form .check-photo");
    var str_photo_ids = "";
    photos.each(function (index){
         var photo_id = $(this).attr('name').split("__")[1].split("_")[1];
         str_photo_ids += photo_id + ",";
    });
    return str_photo_ids;
};

/* funzione visualizzazione di immagini da lista oggetti json */
function displayImages(jsondata) {
    var results = jsondata;
    $("#apiResult").empty();
    for (i=0;i<results.length;i++) {
        var media_obj = results[i];

        // stringified object
        var str_media_obj = JSON.stringify(media_obj);
        var escaped_json = escape(str_media_obj)

        var check_string = "";
        if (media_obj!=null){
            if (media_obj.news.length!=0){
                check_string += "<div class='caption has-content'></div>";
            }
            if (media_obj.galleries.length!=0){
                check_string += "<div class='caption has-gallery'></div>";
            }
            if (media_obj.has4_3 == true){
                check_string += "<div class='caption has-4-3'></div>";
            }
            if (media_obj.has16_9 == true){
                check_string += "<div class='caption has-16-9'></div>";
            }

            var media_title = (media_obj.title!=null && media_obj.title!="") ? escape(media_obj.title) : "";
            var media_desc = (media_obj.description!=null && media_obj.description!="") ? escape(media_obj.description) : "";
            var width = (media_obj.width!=null && media_obj.width!="") ? media_obj.width : "";
            var height = (media_obj.height!=null && media_obj.height!="") ? media_obj.height : "";
            var weigth = (media_obj.weigth!=null && media_obj.weigth!="") ? media_obj.weigth : "";

            var has4_3 = (media_obj.has4_3!=null && media_obj.has4_3!="") ? media_obj.has4_3 : false;
            var has16_9 = (media_obj.has16_9!=null && media_obj.has16_9!="") ? media_obj.has16_9 : false;

            var photo_descr = "Titolo:" + media_title + "\n" +
                              "Descrizione:" + media_desc + "\n" +
                              "Larghezza:" + width + "\n" +
                              "Altezza:" + height + "\n" +
                              "Dimensione:" + weigth + "\n"
            var pub_date = (media_obj.pubDate != null && media_obj.pubDate !="") ? $.datepicker.formatDate('dd/mm/yy', new Date(media_obj.pubDate)) : "";
            $("#apiResult").append("\
            <li class='ui-state-highlight'>\
            <div class='image-container' title='" + unescape(photo_descr) + "'>\
                <img class='preview-4-3' src='" + media_obj.previewUrl +"' alt=''>\
                "+ check_string + "\
            </div>\
                <input type='hidden' class='check-photo' name='photoId__" + "000_" + media_obj.id + "' value='" + escape(str_media_obj) + "'>\
            <div class='titolo-data'>\
                <p><span class='media-id'>" + media_obj.id + "</span>\
                <span class='media-date'>" + pub_date  + "</span></p>\
            </div>\
            </li>");

            }
    }
};

/* funzione search by name*/
function searchByNameQuery(text) {
    PublieditorMediaServer.searchPhotos(text)
};

/* funzione search by news id*/
function searchByIdQuery(text) {
    PublieditorMediaServer.searchPhotosByNewsId(text)
};

/* funzione update */
function updateQuery(newsId){
    var str_photo_ids = getPhotoIds();
    PublieditorMediaServer.replacePhotos(newsId, str_photo_ids);
};

/* funzione update campo ordine dei media da inviare alle viste django */
function updateMediaOrder(){
    var str_ord_photo_ids = getOrderedPhotoIds();
    document.getElementById('id_media_order').value = str_ord_photo_ids;
}
/* funzione sort per chiave su lista oggetti json */
function sortJSON(data, key, isDate) {
    return data.sort(function (a, b) {
        if (isDate==false){
            var x = a[key];
            var y = b[key];
        } else {
            var x = new Date(a[key]);
            var y = new Date(b[key]);
        }
        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    });
};

function dateSortJSON(data, key) {
    return data.sort(function (a, b) {
        var x = new Date(a[key]);
        var y = new Date(b[key]);
        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    }
    );
};

/* API per load/update photo da Publieditor Media server */
PublieditorMediaServer.init({
    serverUrl:'https://media.autolinknews.com',
    onStartRequest : function() {
       //document.getElementById('apiResult').innerHTML = '{}';
    },
    onSearchPhotosResult : function(data) {
        // foto dal mediaserver
        window.apiPhotos = JSON.parse(JSON.stringify(data, null, '  ')).result;
        $(".media-server-count").text(" (" + document.getElementById('inputQueryTitle').value + " : "+ window.apiPhotos.length + ")");
        document.getElementById('inputQueryTitle').value = "";
        displayImages(window.apiPhotos);

        // foto di prova
        //window.apiPhotos = JSON.parse(JSON.stringify(data, null, '  ')).result;
        //$(".media-server-count").text(" (" + document.getElementById('inputQueryTitle').value + " : "+ window.proofApiPhotos.length + ")");
        //document.getElementById('inputQueryTitle').value = "";
        //displayImages(window.proofApiPhotos);
    },
    onSearchPhotosByNewsIdResult : function(data) {
        window.apiPhotos = JSON.parse(JSON.stringify(data, null, '  ')).result;
        displayImages(window.apiPhotos);          // foto dal mediaserver

        //displayImages(window.proofApiPhotos);       // foto di prova
    },
    onReplacePhotosResult : function(data) {
        var result = JSON.stringify(data, null, '  ');
        var json_objects = JSON.parse(result);
        var get_photos_form=$('#get-photos').serialize();
        $.ajax({
            type:'post',
            url:'',
            data: get_photos_form,
            complete:function(){
            },
            success:function(result){
                if(!result.error) location.reload(true);
            }
        });
     }
   });


$(document).ready(function() {

    $("#inputQueryTitle").keypress( function(e) {
        if(e.which == 13) {
            searchByNameQuery(document.getElementById('inputQueryTitle').value);
        }
    });

    /* init search by name*/
    $("#searchSubmit").click(function(event){
        var search_title = document.getElementById('inputQueryTitle').value;
        if (search_title!="" && search_title.substr(0, 2) == "id:") {
            searchByIdQuery(search_title.substr(2, search_title.length-1));
        }else{
            searchByNameQuery(document.getElementById('inputQueryTitle').value);
        }
    });

    /* init update */
    $("#updateSubmit").click(function(event){
        updateMediaOrder();
        updateQuery(window.newsId);
    });

    /* init sort by title */
    $("#sortByTitle").click(function(event){
        photos = sortJSON(window.apiPhotos, 'title', false);          // foto dal mediaserver
        //photos = sortJSON(window.proofApiPhotos, 'title', false);       // foto di prova
        displayImages(photos);
    });

    /* init sort by date */
    $("#sortByDate").click(function(event){
        photos = sortJSON(window.apiPhotos, 'date', true);            // foto dal mediaserver
        //photos = sortJSON(window.proofApiPhotos, 'date', true);         // foto di prova
        displayImages(photos);
    });

    $(".atlk-count").text(" (" + $('#get-photos ul li').length + ")");
});