/* funzione drag&drop tra le liste di immagini */
jQuery(function($){
    $('ul.sortable').multisortable();
    $('ul#searchResult').sortable('option', 'connectWith', 'ul#apiResult');
    $('ul#apiResult').sortable('option', 'connectWith', 'ul#searchResult');
});

/* funzione tooltips nella pagina */
$(function() {
    $(document).tooltip({
        content: function() {
            return $(this).attr('title');
        }
    });
});

/* funzione estrazione stringa con table_id delle foto del form per POST */
function getTableIds(){
    var tables = $("form .check-table");
    var str_table_ids = "";
    tables.each(function (index){
         //var table_id = $(this).attr('name').split("__")[1].split("_")[1];
         var table_id = $(this).attr('name').split("__")[1].split("_")[1];
         str_table_ids += table_id + ",";
    });
    return str_table_ids;
};

/* funzione estrazione stringa ordinamento Media */
function getOrderedTableIds(){
    var tables = $("form .check-table");
    var str_table_ids = "";
    tables.each(function (index){
         var table_id = $(this).attr('name').split("__")[1].split("_")[1];
         str_table_ids += table_id + ",";
    });
    return str_table_ids;
};

/* funzione visualizzazione di immagini da lista oggetti json */
function displayImages(jsondata) {
    var results = jsondata;
    $("#apiResult").empty();
    for (i=0;i<results.length;i++) {
        var media_obj = results[i];

        // stringified object
        var str_media_obj = JSON.stringify(media_obj);
        var escaped_json = escape(str_media_obj)

        var check_string = "";
        if (media_obj!=null){
            //if (media_obj.newsId!=null && media_obj.newsId!=""){
            if (media_obj.news.length!=0){
                check_string += "<div class='caption has-content'></div>";
            }
            if (media_obj.galleries.length!=0){
                check_string += "<div class='caption has-gallery'></div>";
            }
            var media_title = (media_obj.title!=null && media_obj.title!="") ? escape(media_obj.title) : "";
            var media_desc = (media_obj.description!=null && media_obj.description!="") ? escape(media_obj.description) : "";
            var width = (media_obj.width!=null && media_obj.width!="") ? media_obj.width : "";
            var height = (media_obj.height!=null && media_obj.height!="") ? media_obj.height : "";
            var weigth = (media_obj.weigth!=null && media_obj.weigth!="") ? media_obj.weigth : "";

            var table_descr = "Titolo:" + media_title + "\n" +
                              "Descrizione:" + media_desc + "\n" +
                              "Larghezza:" + width + "\n" +
                              "Altezza:" + height + "\n" +
                              "Dimensione:" + weigth + "\n"
            var pub_date = (media_obj.pubDate != null && media_obj.pubDate !="") ? $.datepicker.formatDate('dd/mm/yy', new Date(media_obj.pubDate)) : "";
            $("#apiResult").append("\
            <li class='ui-state-highlight'>\
            <div class='image-container' title='" + unescape(table_descr) + "'>\
                <img class='preview-4-3' src='" + media_obj.imageUrl +"' alt=''>\
                "+ check_string + "\
            </div>\
                <input type='hidden' class='check-table' name='tableId__" + "000_" + media_obj.id + "' value='" + escape(str_media_obj) + "'>\
            <div class='titolo-data'>\
                <p><span class='media-id'>" + media_obj.id + "</span>\
                <span class='media-date'>" + pub_date  + "</span></p>\
            </div>\
            </li>");

            }
    }
};

/* funzione search by name*/
function searchByNameQuery(text) {
    PublieditorMediaServer.searchTables(text)
};

/* funzione search by news id*/
function searchByIdQuery(text) {
    PublieditorMediaServer.searchTablesByNewsId(text)
};

/* funzione update */
function updateQuery(newsId){
    var str_table_ids = getTableIds();
    PublieditorMediaServer.replaceTables(newsId, str_table_ids);
};

/* funzione update campo ordine dei media da inviare alle viste django */
function updateMediaOrder(){
    var str_ord_table_ids = getOrderedTableIds();
    document.getElementById('id_media_order').value = str_ord_table_ids;
}
/* funzione sort per chiave su lista oggetti json */
function sortJSON(data, key, isDate) {
    return data.sort(function (a, b) {
        if (isDate==false){
            var x = a[key];
            var y = b[key];
        } else {
            var x = new Date(a[key]);
            var y = new Date(b[key]);
        }
        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    });
};

function dateSortJSON(data, key) {
    return data.sort(function (a, b) {
        var x = new Date(a[key]);
        var y = new Date(b[key]);
        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    }
    );
};

/* API per load/update table da Publieditor Media server */
PublieditorMediaServer.init({
    serverUrl:'https://media.autolinknews.com',
    onStartRequest : function() {
       //document.getElementById('apiResult').innerHTML = '{}';
    },
    onSearchTablesResult : function(data) {
        window.apiTables = JSON.parse(JSON.stringify(data, null, '  ')).result;
        $(".media-server-count").text(" (" + document.getElementById('inputQueryTitle').value + " : "+ window.apiTables.length + ")");
        document.getElementById('inputQueryTitle').value = "";
        displayImages(window.apiTables);
        //displayImages(window.proofApiTables);
    },
    onSearchTablesByNewsIdResult : function(data) {
        window.apiTables = JSON.parse(JSON.stringify(data, null, '  ')).result;
        displayImages(window.apiTables);
        //displayImages(window.proofApiTables);
    },
    onReplaceTablesResult : function(data) {
        var result = JSON.stringify(data, null, '  ');
        var json_objects = JSON.parse(result);
        var get_tables_form=$('#get-tables').serialize();
        $.ajax({
            type:'post',
            url:'',
            data: get_tables_form,
            complete:function(){
            },
            success:function(result){
                if(!result.error) location.reload(true);
            }
        });
     }
   });


$(document).ready(function() {

    $("#inputQueryTitle").keypress( function(e) {
        if(e.which == 13) {
            searchByNameQuery(document.getElementById('inputQueryTitle').value);
        }
    });

    /* init search by name*/
    $("#searchSubmit").click(function(event){
        var search_title = document.getElementById('inputQueryTitle').value;
        if (search_title!="" && search_title.substr(0, 2) == "id:") {
            searchByIdQuery(search_title.substr(2, search_title.length-1));
        }else{
            searchByNameQuery(document.getElementById('inputQueryTitle').value);
        }
    });

    /* init update */
    $("#updateSubmit").click(function(event){
        updateMediaOrder();
        updateQuery(window.newsId);
    });

    /* init sort by title */
    $("#sortByTitle").click(function(event){
        tables = sortJSON(window.apiTables, 'title', false);
        //tables = sortJSON(window.proofApiTables, 'title', false);
        displayImages(tables);
    });

    /* init sort by date */
    $("#sortByDate").click(function(event){
        tables = sortJSON(window.apiTables, 'date', true);
        //tables = sortJSON(window.proofApiTables, 'date', true);
        displayImages(tables);
    });

    $(".atlk-count").text(" (" + $('#get-tables ul li').length + ")");
});