# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext as _
from django.conf.urls import url, include, patterns
from django.contrib import admin
from django.views.decorators.cache import never_cache
from django.views.decorators.cache import cache_page
from .views import (
    PrezziautoListView,
    BrandDetailView,
    CarModelDetailView,
    CarDetailView,
    HitListView,
    HitDetailView,
    FavouritesListView,
    CompareListView,
    EmbedView,
    EmbeddxView,
    CarDetailViewNew,
    CarModelDetailViewNew,
    CompareListViewNew,
    PrezziautoListViewNew,
    HitListViewNew,
    HitDetailViewNew,
    FavouritesListViewNew,
    BrandDetailViewNew
)


urlpatterns = patterns(
    '',
    #    url(r'^ajax_favorite_content', 'publieditor.content.views.ajax_favorite_content'),
    #    url(r'^ajax_remove_content', 'publieditor.content.views.ajax_remove_content'),
    #    # Service urls
    #    url(r'^add-to-favourites', 'publieditor.content.views.add_to_favourites'),
    #    url(r'^remove-from-favourites', 'publieditor.content.views.remove_from_favourites'),
    #    url(r'^add-to-compare', 'publieditor.content.views.add_to_compare'),
    #    url(r'^remove-from-compare', 'publieditor.content.views.remove_from_compare'),
    #    url(r'^add-all-to-favourites', 'publieditor.content.views.add_all_to_favourites'),
    #    url(r'^remove-all-from-favourites', 'publieditor.content.views.remove_all_from_favourites'),
    #    url(r'^add-all-to-compare', 'publieditor.content.views.add_all_to_compare'),
    #    url(r'^remove-all-from-compare', 'publieditor.content.views.remove_all_from_compare'),
    #    url(r'^get-favourites', 'publieditor.content.views.get_favourites'),
    #    url(r'^get-compare', 'publieditor.content.views.get_compare'),
    # Favourites and Compare list

    url(r'^new/preferite', never_cache(FavouritesListViewNew.as_view()), name='favourites_new'),
    url(r'^new/confronta', never_cache(CompareListViewNew.as_view()), name='compare_new'),

    # Hits urls
    url(r'^new/classifiche/$', never_cache(HitListViewNew.as_view()), name='hit_list_new'),
    url(r'^new/classifiche/(?P<slug>[a-zA-Z0-9-]+)/$', never_cache(HitDetailViewNew.as_view()), name='hit_detail_new'),

    url(r'^new/$', PrezziautoListViewNew.as_view(), name='prezziauto_new'),

    # url(
    #     r'^%s(?P<slug>[a-zA-Z_0-9-\.]+)/$' % settings.PUBLIEDITOR_CONTENT_AUTO,
    #     BrandDetailView.as_view(),
    #     name='brand_detail'
    # ),

    url(
        r'^new/%s(?P<slug>[a-zA-Z_0-9-\.]+)/$' % settings.PUBLIEDITOR_CONTENT_AUTO,
        BrandDetailViewNew.as_view(),
        name='brand_detail_new'
    ),

    url(
        r'^new/%s(?P<brand_slug>[a-zA-Z_0-9-\.]+)/(?P<slug>[a-zA-Z_0-9-\.]+)/$' % settings.PUBLIEDITOR_CONTENT_AUTO,
        CarModelDetailViewNew.as_view(), name='car_model_detail_new'),
    url(
        r'^new/%s(?P<brand_slug>[a-zA-Z_0-9-\.]+)/(?P<model_slug>[a-zA-Z_0-9-\.]+)/(?P<slug>[a-zA-Z_0-9-\.]+)/$' % settings.PUBLIEDITOR_CONTENT_AUTO,
        CarDetailViewNew.as_view(), name='car_detail_new'),





    url(r'^preferite', never_cache(FavouritesListView.as_view()), name='favourites'),
    url(r'^confronta', never_cache(CompareListView.as_view()), name='compare'),
    # Hits urls
    url(r'^classifiche/$', never_cache(HitListView.as_view()), name='hit_list'),
    url(r'^classifiche/(?P<slug>[a-zA-Z0-9-]+)/$', never_cache(HitDetailView.as_view()), name='hit_detail'),
    # Details cars urls
    url(r'^$', PrezziautoListView.as_view(), name='prezziauto'),
    url(r'^new_embed/$', never_cache(EmbedView.as_view()), name='embed'),
    url(r'^new_embed_dx/$', never_cache(EmbeddxView.as_view()), name='embed_dx'),
    url(
        r'^%s(?P<slug>[a-zA-Z_0-9-\.]+)/$' % settings.PUBLIEDITOR_CONTENT_AUTO,
        BrandDetailView.as_view(),
        name='brand_detail'
    ),
    url(
        r'^%s(?P<brand_slug>[a-zA-Z_0-9-\.]+)/(?P<slug>[a-zA-Z_0-9-\.]+)/$' % settings.PUBLIEDITOR_CONTENT_AUTO,
        CarModelDetailView.as_view(), name='car_model_detail'),
    url(
        r'^%s(?P<brand_slug>[a-zA-Z_0-9-\.]+)/(?P<model_slug>[a-zA-Z_0-9-\.]+)/(?P<slug>[a-zA-Z_0-9-\.]+)/$' % settings.PUBLIEDITOR_CONTENT_AUTO,
        CarDetailView.as_view(), name='car_detail'),
)
